Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::CellEditable Class Reference

A GtkCellEditable C++ wrapper class. More...

`#include <xfc/gtk/celleditable.hh>`

Inheritance diagram for Xfc::Gtk::CellEditable:

List of all members.

## Signal Prototypes

- const EditingDoneSignalType editing_done_signal
    Editing done signal (see signal_editing_done()).
- const RemoveWidgetSignalType remove_widget_signal
    Remove widget signal (see signal_remove_widget()).

## Public Member Functions

Accessors

- GtkCellEditable * gtk_cell_editable () const
    Get a pointer to the GtkCellEditable structure.
- operator GtkCellEditable * () const
    Conversion operator; safely converts a Calendar to a GtkCalendar pointer.

Methods

- void start_editing (const Gdk::Event *event)
    Begins editing on a cell_editable.
- void editing_done ()
    Emits the "editing_done" signal.
- void remove_widget ()
    Emits the "remove_widget" signal.

Signal Proxies

- const EditingDoneSignalProxy signal_editing_done ()
    Connect to the editing_done_signal; emitted when the cell renderer should update it's value from the cell.
- const RemoveWidgetSignalProxy signal_remove_widget ()
    Connect to the remove_widget_signal; emitted when the cell is finished editing, and the editable widget may now be destroyed.

## Protected Member Functions

Constructors

- CellEditable ()
    Constructs a new CellEditable object.
- virtual ~CellEditable ()=0
    Destructor.

## Detailed Description

A GtkCellEditable C++ wrapper class.

CellEditable is an abstract interface that Entry implements through multiple inheritance. CellRenderer returns a smart pointer to a CellEditable when you call CellRenderer::start_editing(). Using this pointer, you can monitor the editing process by connecting to either its editing_done_signal or remove_widget_signal.

## Member Function Documentation

void Xfc::Gtk::CellEditable::editing_done | ( |  | ) |

| Emits the "editing_done" signal. This signal is a sign for the cell renderer to update it's value from the cell.

void Xfc::Gtk::CellEditable::remove_widget | ( |  | ) |

| Emits the "remove_widget" signal. This signal is meant to indicate that the cell is finished editing, and the editable widget may now be destroyed.

void Xfc::Gtk::CellEditable::start_editing | ( | const Gdk::Event * | event | ) |

Begins editing on a cell_editable.

Parameters:

  | event | A Gdk::Event, or null.

The event is the Gdk::Event that began the editing process. It may be null, in the instance that editing was initiated through programatic means.

## Member Data Documentation

const EditingDoneSignalType Xfc::Gtk::CellEditable::editing_done_signal `[static, protected]`

Editing done signal (see signal_editing_done()).

Calls a slot with the signature:

                 void function();

const RemoveWidgetSignalType Xfc::Gtk::CellEditable::remove_widget_signal `[static, protected]`

Remove widget signal (see signal_remove_widget()).

Calls a slot with the signature:

                 void function();

The documentation for this class was generated from the following file:

- celleditable.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3